#51 closed enhancement (fixed)

node-side data cache (?)

Reported by: anonymous Owned by: snide
Priority: normal Milestone: Munin 2.0.0
Component: design Version:
Severity: normal Keywords:
Cc: alt-j@…

Description

When network is not available munin do not gather data from nodes inserting empty values in graphs it would be nice if munin-node could gather results even while being offline and send them to munin when network is available

Change History (13)

comment:1 Changed at 2005-12-02T12:32:21+01:00 by alt-j at users.sourceforge.net

  • Cc alt-j@… added

I'd like to second this request. I've considered switching to ORCA for this reason (they store all data on the client side which is rsync'd to the server for rrd and graph generation)...but munin is so much easier to configure :-)

comment:2 Changed at 2005-12-02T12:35:33+01:00 by janl

  • Severity changed from normal to enhancement

This would require us to schedule sampling on the client. The client scheduling sampling _could_ increase scalability in number of nodes and plugins quite a lot. Should be a part of a scheduling/scalability redesign?

comment:3 Changed at 2005-12-02T20:41:30+01:00 by janl

  • Milestone set to Munin 1.6
  • Owner changed from jo to janl
  • Reporter changed from janl to anonymous

comment:4 Changed at 2006-06-15T20:18:18+02:00 by janl

  • Milestone changed from Munin 1.6 to Munin 1.4

This will be in 1.4

Nicolai

comment:5 Changed at 2006-06-15T20:18:26+02:00 by janl

  • Status changed from new to assigned

comment:6 Changed at 2006-08-30T02:15:39+02:00 by janl

  • Component changed from node to design

comment:7 Changed at 2008-03-02T22:18:53+01:00 by janl

  • Status changed from assigned to new

Oh, btw, I have a node scheduler prototype if anyone else decides to start on this.

comment:8 Changed at 2009-10-20T17:31:46+02:00 by janl

  • Milestone changed from Munin 1.4 to Munin 1.5

comment:9 Changed at 2009-10-21T02:49:56+02:00 by janl

  • Version 1.3.0 deleted

Won't make it into 1.4 due to time constraints.

comment:10 Changed at 2010-01-18T13:06:58+01:00 by janl

  • Owner changed from janl to snide

Would fit into the objectives of 1.5, but not strictly needed. Feel free to ignore/push forward.

comment:11 Changed at 2010-02-14T16:39:01+01:00 by snide

  • Milestone changed from Munin 1.5 to Munin 1.6

Client-side scheduling is quite intrusive, and is quite 1.6-grade feature (possibly even 2.0-grade)

comment:12 Changed at 2011-05-13T21:33:22+02:00 by Tenzer

Isn't this feature more or less covered with munin-async-(client|server)?

comment:13 Changed at 2011-09-12T15:34:46+02:00 by snide

  • Milestone changed from Munin 3.0 to Munin 2.0
  • Resolution set to fixed
  • Status changed from new to closed

In trunk:

  • A plugin can send vector timed data.
  • there is munin-async
Note: See TracTickets for help on using tickets.